MAC3_BDGPEAKCALL(1)

NAME
mac3_bdgpeakcall - Model-based Analysis for ChIP-Sequencing

DESCRIPTION
usage: macs3 bdgpeakcall [-h] -i IFILE [-c CUTOFF] [-l MINLEN] [-g MAXGAP]

[--cutoff-analysis]
    [--cutoff-analysis-max CUTOFF_ANALYSIS_MAX] [--cutoff-analysis-steps CUTOFF_ANALYSIS_STEPS] [--no-trackline] [--verbose VERBOSE] [--outdir OUTDIR] (-o OFILE | --o-prefix OPREFIX)

  options:

-h, --help
    show this help message and exit

-i, --ifile IFILE
    MACS score in bedGraph. REQUIRED

-c, --cutoff CUTOFF
    Cutoff depends on which method you used for score track. If the file contains pvalue scores from MACS3, score 5 means pvalue 1e-5. Regions with signals lower than cutoff will not be considerred as enriched regions. DEFAULT: 5

-l, --min-length MINLEN
    minimum length of peak, better to set it as d value. DEFAULT: 200

-g, --max-gap MAXGAP
    maximum gap between significant points in a peak, better to set it as tag size. DEFAULT: 30

--cutoff-analysis
    While set, bdgpeakcall will analyze number or total length of peaks that can be called by different cutoff then output a summary table to help user decide a better cutoff. Note, minlen and maxgap may affect the results. DEFAULT: False

--cutoff-analysis-max CUTOFF_ANALYSIS_MAX
    The maximum cutoff score for performing cutoff analysis. Together with --cutoff-analysis-steps, the resolution in the final report can be controlled. Please check the description in --cutoff-analysissteps for detail. DEFAULT: 100

--cutoff-analysis-steps CUTOFF_ANALYSIS_STEPS
    Steps for performing cutoff analysis. It will be used to decide which cutoff value should be included in the final report. Larger the value, higher resolution the cutoff analysis can be. The cutoff analysis function will first find the smallest (at least 0) and the largest (controlled by --cutoff-analysis-max) score in the data, then break the range of score into `CUTOFF_ANALYSIS_STEPS` intervals. It will then use each score as cutoff to call peaks and calculate the total number of candidate peaks, the total basepairs of peaks, and the average length of peak in basepair. Please note that the final report ideally should include `CUTOFF_ANALYSIS_STEPS` rows, but in practice, if the cutoff yield zero peak, the row for that value won't be included. DEFAULT: 100

--no-trackline
    Tells MACS not to include trackline with bedGraph files. The trackline is used by UCSC for the options for display.

--verbose VERBOSE
    Set verbose level of runtime message. 0: only show critical message, 1: show additional warning message, 2: show process information, 3: show debug messages. DEFAULT:2

--outdir OUTDIR
    If specified all output files will be written to that directory. Default: the current working directory

-o, --ofile OFILE
    Output file name. Mutually exclusive with --o-prefix.

--o-prefix OPREFIX
    Output file prefix. Mutually exclusive with -o/--ofile.